<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:04 CEST 2014 -->
<title>Uses of Class fr.inria.alpage.frmgcm.utils.Utils.ValidationBean</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class fr.inria.alpage.frmgcm.utils.Utils.ValidationBean";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html" target="_top">Frames</a></li>
<li><a href="Utils.ValidationBean.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.inria.alpage.frmgcm.utils.Utils.ValidationBean" class="title">Uses of Class<br>fr.inria.alpage.frmgcm.utils.Utils.ValidationBean</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.corpus">fr.inria.alpage.frmgcm.corpus</a></td>
<td class="colLast">
<div class="block">This package contains model definition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.gm">fr.inria.alpage.frmgcm.gm</a></td>
<td class="colLast">
<div class="block">This package contains classes handling graph related operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.tools">fr.inria.alpage.frmgcm.tools</a></td>
<td class="colLast">
<div class="block">This package contains unrelated entry points (scripts) using the application code as library.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.corpus">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">SentenceCollection.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResource(java.lang.String,%20java.lang.String,%20boolean,%20java.lang.String)">addResource</a></strong>(java.lang.String&nbsp;data,
           java.lang.String&nbsp;format,
           boolean&nbsp;autoIndex,
           java.lang.String&nbsp;eid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">SentenceCollection.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResources(java.lang.String,%20java.lang.String,%20boolean,%20boolean)">addResources</a></strong>(java.lang.String&nbsp;resourcePath,
            java.lang.String&nbsp;format,
            boolean&nbsp;saveLocalCopy,
            boolean&nbsp;autoIndex)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">SentenceCollection.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResources(java.lang.String,%20java.lang.String,%20boolean,%20boolean,%20java.lang.String)">addResources</a></strong>(java.lang.String&nbsp;resourcePath,
            java.lang.String&nbsp;format,
            boolean&nbsp;saveLocalCopy,
            boolean&nbsp;autoIndex,
            java.lang.String&nbsp;eid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">Corpus.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">SentenceCollection.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#validate()">validate</a></strong>()</code>
<div class="block">Validate an instance of SentenceCollection (before saving it)</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.gm">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">Graph.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#update(com.mongodb.BasicDBObject)">update</a></strong>(com.mongodb.BasicDBObject&nbsp;updateData)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">Graph.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#update(com.mongodb.BasicDBObject,%20boolean)">update</a></strong>(com.mongodb.BasicDBObject&nbsp;updateData,
      boolean&nbsp;createNewRevision)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">GraphManager.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphManager.html#updateGraph(java.lang.String,%20com.mongodb.BasicDBObject,%20boolean)">updateGraph</a></strong>(java.lang.String&nbsp;uid,
           com.mongodb.BasicDBObject&nbsp;updateInfo,
           boolean&nbsp;createIfNotFound)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">Graph.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/gm/Graph.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">GraphRevision.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.tools">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/tools/package-summary.html">fr.inria.alpage.frmgcm.tools</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/tools/package-summary.html">fr.inria.alpage.frmgcm.tools</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><span class="strong">Tests.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/tools/Tests.html#getAllGraphInFile()">getAllGraphInFile</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html" target="_top">Frames</a></li>
<li><a href="Utils.ValidationBean.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
